# A library of commonly used components in Vue 3

Contains Vue 3 components that are used quite often. At the moment it is a test version (however, the current components can be used), but in the near future new features will be improved and new components will be added.

`<script setup>`

    <script setup>

    import { Button, Checkbox, Input, Select } from "vue-lib-components";
    import "vue-lib-components/vue-lib-components.css";

    // Button 

    <Button
        :disabled="false"
        :full-width="true"
        @click="yourEvent"
    >
        <template #leftSlot>Text or icon before name (not required)</template>
        Name of your button
        <template #leftSlot>Text or icon after name (not required)</template>
    </Button>

    // Checkbox

    const currentCheckbox = ref(true);

    <Checkbox v-model:check="currentCheckbox" />

    // Input

    const text = ref('');

    <Input
        v-model:model="text"
        :disabled="true"
    />

    // Select

    const currentSelect = ref(null);
    
    const options = ref([
        {
            label: "Google",
            value: "Google1",
        },
        {
            label: "Facebook",
            value: "Facebook2",
        },
        {
            label: "Twitter",
            value: "Twitter3",
        },
        {
            label: "Apple",
            value: "Apple4",
        },
        {
            label: "Oracle",
            value: "Oracle5",
            disabled: true,
        },
    ]);

    <Select
        v-model:model="currentSelect"
        :options="options"
        label="Test"
    />

    </script>
`</script>`

This template should help get you started developing with Vue 3 and TypeScript in Vite. The template uses Vue 3 `<script setup>` SFCs, check out the [script setup docs](https://v3.vuejs.org/api/sfc-script-setup.html#sfc-script-setup) to learn more.
